Bug 9715 - bogus error: invalid use of 'register' in linkage specification
: bogus error: invalid use of 'register' in linkage specification
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gcc4.1-c++)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://gcc.gnu.org/bugzilla/show_bug....
:
:
:
  Show dependency tree
 
Reported: 2006-06-21 19:40 by
Modified: 2006-08-29 21:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-21 19:40:01
$ cat test.cc
extern "C" int test(register int a);
$ g++ -c test.cc 
test.cc:1: error: invalid use of 'register' in linkage specification

В настоящий момент эта проблема не даёт, в частности, собирать расширения для
perl, написанные на C++ (поскольку в заголовках perl встречаются конструкции
такого вида).
------- Comment #1 From 2006-06-21 19:56:44 -------
Когда в офисе восстановят нормальную связь, подготовлю новую сборку gcc.
------- Comment #2 From 2006-06-22 10:34:15 -------
Fixed in gcc4.1-c++-4.1.1-alt3.